Ext.data.JsonP.getting_started({"guide":"<h1 id='getting_started-section-getting-started-guide'>Getting Started Guide</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ol>\n<li><a href='#!/guide/getting_started-section-using-in-workspace'>Using in workspace</a></li>\n<li><a href='#!/guide/getting_started-section-using-in-application'>Using in application</a></li>\n</ol>\n</div>\n\n<p>There are two basic scenarios of using the plugin in a project:</p>\n\n<ol>\n<li>as a package in workspace</li>\n<li>as a package in application</li>\n</ol>\n\n\n<p>Both are very easy to use.</p>\n\n<h2 id='getting_started-section-using-in-workspace'>Using in workspace</h2>\n\n<p>Step by step instructions:</p>\n\n<h3 id='getting_started-section-1.1-create-the-workspace'>1.1 Create the workspace</h3>\n\n<pre><code>cd /your/ext/path\nsencha generate workspace /your/ws\n</code></pre>\n\n<h3 id='getting_started-section-1.2-extract-the-plugin-zip-file'>1.2 Extract the plugin zip file</h3>\n\n<p>Download the plugin zip file to <code>packages</code> subfoder of your workspace. Then:</p>\n\n<pre><code>cd /your/ws/packages\nunzip saki-grid-multisearch-x.y.z.zip\n</code></pre>\n\n<p>where x.y.z stands for the downloaded file version</p>\n\n<h3 id='getting_started-section-1.3-build-the-examples-%28optional%29'>1.3 Build the examples (optional)</h3>\n\n<p>The included examples must be built before you can run them. To build execute:</p>\n\n<pre><code>cd /your/ws/packages/saki-grid-multisearch/examples/gms\nsencha app build\n</code></pre>\n\n<p>You can see the examples at http://localhost/your/ws/packages/saki-grid-multisearch/examples/gms</p>\n\n<h3 id='getting_started-section-1.4-create-your-application-%28optional%29'>1.4 Create your application (optional)</h3>\n\n<p>You would need this step if you do not already have an Ext application.</p>\n\n<pre><code>cd /your/ws/ext\nsencha generate app MyApp ../myapp\n</code></pre>\n\n<p>This would generate application with name \"MyApp\" in folder <code>/your/ws/myapp</code>.</p>\n\n<h3 id='getting_started-section-1.5-add-the-package-name-to-requires-array-in-app.json'>1.5 Add the package name to requires array in app.json</h3>\n\n<p>The example of app.json:</p>\n\n<pre><code>{\n    \"name\": \"MyApp\",\n    \"theme\":\"ext-theme-gray\",\n    \"requires\": [\n        \"saki-grid-multisearch\"\n    ],\n    \"id\": \"cb5b1c88-0f95-4da7-b763-00bc8998b770\"\n}\n</code></pre>\n\n<h3 id='getting_started-section-1.6-for-grid-configuration-see-the-documentation'>1.6 For grid configuration see the documentation</h3>\n\n<p>See the <a href=\"#!/api/Ext.saki.grid.MultiSearch\" rel=\"Ext.saki.grid.MultiSearch\" class=\"docClass\">MultiSearch Documentation</a> to find out how to configure\nyour grids to use the MultiSearch plugin. Do not forget to add the plugin to grid's requires array.</p>\n\n<pre><code>Ext.define('MyApp.view.MyGrid', {\n     extend:'<a href=\"#!/api/Ext.grid.Panel\" rel=\"Ext.grid.Panel\" class=\"docClass\">Ext.grid.Panel</a>'\n    ,requires:['<a href=\"#!/api/Ext.saki.grid.MultiSearch\" rel=\"Ext.saki.grid.MultiSearch\" class=\"docClass\">Ext.saki.grid.MultiSearch</a>']\n});\n</code></pre>\n\n<h2 id='getting_started-section-using-in-application'>Using in application</h2>\n\n<p>Step by step instructions:</p>\n\n<h3 id='getting_started-section-2.1-create-your-application-%28optional%29'>2.1 Create your application (optional)</h3>\n\n<p>You would need this step if you do not already have an Ext application.</p>\n\n<pre><code>cd /your/ext/path\nsencha generate app MyApp /your/myapp\n</code></pre>\n\n<p>This would generate application with name \"MyApp\" in folder <code>/your/myapp</code>.</p>\n\n<h3 id='getting_started-section-2.2-extract-the-plugin-zip-file'>2.2 Extract the plugin zip file</h3>\n\n<p>Download the plugin zip file to <code>packages</code> subfoder of your application. Then:</p>\n\n<pre><code>cd /your/myapp/packages\nunzip saki-grid-multisearch-x.y.z.zip\n</code></pre>\n\n<p>where x.y.z stands for the downloaded file version</p>\n\n<h3 id='getting_started-section-2.3-build-the-examples-%28optional%29'>2.3 Build the examples (optional)</h3>\n\n<p>The included examples must be built before you can run them. To build execute:</p>\n\n<pre><code>cd /your/myapp/packages/saki-grid-multisearch/examples/gms\nsencha app build\n</code></pre>\n\n<p>You can see the examples at http://localhost/your/myapp/packages/saki-grid-multisearch/examples/gms</p>\n\n<h3 id='getting_started-section-2.4-add-the-package-name-to-requires-array-in-app.json'>2.4 Add the package name to requires array in app.json</h3>\n\n<p>The example of app.json:</p>\n\n<pre><code>{\n    \"name\": \"MyApp\",\n    \"theme\":\"ext-theme-gray\",\n    \"requires\": [\n        \"saki-grid-multisearch\"\n    ],\n    \"id\": \"cb5b1c88-0f95-4da7-b763-00bc8998b770\"\n}\n</code></pre>\n\n<h3 id='getting_started-section-2.5-for-grid-configuration-see-the-documentation'>2.5 For grid configuration see the documentation</h3>\n\n<p>See the <a href=\"#!/api/Ext.saki.grid.MultiSearch\" rel=\"Ext.saki.grid.MultiSearch\" class=\"docClass\">MultiSearch Documentation</a> to find out how to configure\nyour grids to use the MultiSearch plugin. Do not forget to add the plugin to grid's requires array.</p>\n\n<pre><code>Ext.define('MyApp.view.MyGrid', {\n     extend:'<a href=\"#!/api/Ext.grid.Panel\" rel=\"Ext.grid.Panel\" class=\"docClass\">Ext.grid.Panel</a>'\n    ,requires:['<a href=\"#!/api/Ext.saki.grid.MultiSearch\" rel=\"Ext.saki.grid.MultiSearch\" class=\"docClass\">Ext.saki.grid.MultiSearch</a>']\n});\n</code></pre>\n","title":"Getting Started"});